/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

// Include required modules
var { expect } = require("../../../lib/assertions");
var places = require("../../../lib/places");
var toolbars = require("../../../lib/toolbars");
var utils = require("../../../lib/utils");


const TIMEOUT = 5000;

const LOCAL_TEST_FOLDER = collector.addHttpResource('../../../data/');
const LOCAL_TEST_PAGE = LOCAL_TEST_FOLDER + 'layout/mozilla_contribute.html';

var setupModule = function() {
  controller = mozmill.getBrowserController();
  locationBar =  new toolbars.locationBar(controller);
}

var teardownModule = function() {
  places.restoreDefaultBookmarks();
}

var testFailure797945 = function() {
	const Cu = Components.utils;
	
	Cu.import("resource://gre/modules/Services.jsm");
	
	const PREF_SEARCH_OPENINTAB = "plugins.click_to_play";
	
	var result = Services.prefs.getBoolPref(PREF_SEARCH_OPENINTAB);
	expect.ok(result, "plugins.click_to_play set to true");
}
